﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.StandardColors.White);
            Map1.CurrentExtent = new RectangleShape(11.2, 53.5, 14.8, 51.3);
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/app_data/cntry02.shp"));
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            WmsOverlay wmsOverlay = new WmsOverlay("WMS", new Uri("http://isk.geobasis-bb.de/ows/dnm.php"), TileType.SingleTile);
            wmsOverlay.Parameters.Add("layers", "bg,siedlung,vegetation,gewaesser,transport,strassennamen,ortsnamen,gewaessernamen");
            wmsOverlay.Parameters.Add("Exceptions", "application/vnd.ogc.se_xml");
            wmsOverlay.Parameters.Add("format", "image/png");
            wmsOverlay.Parameters.Add("transparent", "true");
            wmsOverlay.Parameters.Add("SRS", "EPSG:4326");
            wmsOverlay.IsBaseOverlay = false;

            LayerOverlay layerOverlay = new LayerOverlay("Thinkgeo");
            layerOverlay.Layers.Add(worldLayer);
            Map1.CustomOverlays.Add(layerOverlay);
            Map1.CustomOverlays.Add(wmsOverlay);
        }
    }
}
